Subject: bug#65894: 29.1; Cannot map dead keys to commands anymore in emacs 29.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Sep 2023 05:25:24 +0300

[Please use Reply All to reply, to keep the bug tracker CC'ed.]

> Date: Tue, 12 Sep 2023 21:54:10 +0200
> From: Amic Frouvelle <[email-masked]>
> 
> 
> 
> Le 12/09/2023 à 20:27, Eli Zaretskii a écrit :
> >> Date: Tue, 12 Sep 2023 17:11:55 +0200
> >> From: Amic Frouvelle <[email-masked]>
> >>
> >> Let us say I want to map the dead circumflex to some command. In emacs
> >> 28, I had no problem to do that. For instance the following line in
> >> .emacs.el worked as expected (in emacs 29 it does not work anymore) :
> >> (global-set-key (kbd "<C-dead-circumflex>") 'query-replace)
> >>
> >> In emacs 29, when I do
> >> M-x local-set-key
> >> and then press the dead circumflex key, it does nothing (it does the
> >> second time I press it but for the character ^).
> > 
> > And the global-set-key method you used before -- does it still work?
> 
> Neither global-set-key, nor local-set-key (neither with the M-x + typing 
> the command, nor in .emacs.el).

Thanks.

Po Lu, can you please look into this?